import { prisma } from "@repo/db";
import { KeywordForm } from "../_components/Form";

export default async function Page({ params }: { params: Promise<{ id: string }> }) {
	const { id } = await params;
	const keyword = await prisma.keyword.findUnique({
		where: {
			id: parseInt(id),
		},
	});
	if (!keyword) return <div>Station not found</div>;
	return <KeywordForm keyword={keyword} />;
}
